Summary:        Qt Yet another slideshow
Name:           qyaslideshow
Version:        1.2.3
Release:        1%{?dist}.ys
License:        Free.
#URL:
Source:         %{name}-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gcc-c++
BuildRequires:  qt5-qtbase-devel
BuildRequires:  libxcb-devel
BuildRequires:  xcb-util-image-devel
BuildRequires:  gettext

%package        xss
Summary:        Data files for xscreensaver
Requires:       %{name} = %{version}-%{release}

%package        gss
Summary:        Desktop files of this screensaver
Requires:       %{name} = %{version}-%{release}

%description
This program is yet another slideshow (Qt version).

%description xss
This package contains data files for xscreensaver.

%description gss
This package contains desktop files of this screensaver
for other screensaver compatibility.


%prep
%setup -q

%build
%{qmake_qt5} PREFIX=/usr qyaslideshow.pro
%make_build

%install
rm -rf $RPM_BUILD_ROOT
make install INSTALL_ROOT=%{buildroot}
%find_lang %{name}

%clean
rm -rf ${RPM_BUILD_ROOT}

%post xss
if [ -x %{_sbindir}/update-xscreensaver-hacks ]; then
    %{_sbindir}/update-xscreensaver-hacks
fi
exit 0

%postun xss
if [ -x %{_sbindir}/update-xscreensaver-hacks ]; then
    %{_sbindir}/update-xscreensaver-hacks
fi
exit 0


%files
%defattr(-,root,root,-)
%{_bindir}/qyaslideshow

%files xss -f %{name}.lang
%defattr(-,root,root,-)
%{_datadir}/xscreensaver/config/*.xml
%{_datadir}/xscreensaver/hacks.conf.d/*.conf

%files gss
%defattr(-,root,root,-)
%{_libexecdir}/xscreensaver/qyaslideshow
%{_datadir}/applications/screensavers/*.desktop


%changelog
* Thu Apr 27 2023 yoko-p <yoko69p@gmail.com> 1.2.3-1ys
- Update to 1.2.3

* Fri Apr 21 2023 yoko-p <yoko69p@gmail.com> 1.2.2-1ys
- Update to 1.2.2

* Thu Nov 24 2022 yoko-p <yoko69p@gmail.com> 1.2.1-1ys
- Update to 1.2.1

* Thu Jun 23 2022 yoko-p <yoko69p@gmail.com> 1.2.0-1ys
- Update to 1.2.0

* Wed Oct 28 2020 yoko-p <yoko69p@gmail.com> 1.1.0-1ys
- Update to 1.1.0

* Sat Apr  4 2020 yoko-p <yoko69p@gmail.com> 1.0.0-1ys
- Initial package
